<div id="top"></div>
<mat-card class="class_header">
  <mat-card-header>Class Schedule</mat-card-header>
</mat-card>
<div class="spacer_5"></div>
<div class="mb-20" fxFlex fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
    <div fxFlex>
        <div class="left_forms_container">
            <table class="jadwal_kelas_trainee" *ngIf="traineeFlag">
                <tr>
                    <td class ="wdth_20">Nama Trainer:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="{{staff?.name}}">
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Nomor Kelas:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="{{schedule?.class_code}}">
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Nama Program:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="{{schedule?.program_code}}">
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Topik Pembelajaran:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="{{material?.name}}">
                        </mat-form-field>
                    </td>
                </tr>  
                <br>
                <tr>
                    <td class ="wdth_20">Materi Pembelajaran:</td>
                    <td>
                        {{material?.url}}<button mat-raised-button color="primary" (click)="download(material.url)">Download</button>
                    </td>
                </tr>
            </table>

            <table class="jadwal_kelas_trainer" *ngIf="trainerFlag">
                <tr>
                    <td class ="wdth_20">NIP:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="NIP" value="{{staff?.nip}}" readonly>
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Nama Trainer:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Nama" value="{{staff?.name}}" readonly>
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Nama Program:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Nama Program" value="{{schedule?.program_code}}" readonly>
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Topik Hari ini:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Nama Topik" value="{{material?.name}}" readonly>
                        </mat-form-field>
                    </td>
                </tr>  
                <br>
                <tr>
                    <td class ="wdth_20">Materi Pembelajaran:</td>
                    <td>
                        <div class="file-upload">
                            <input type="file" (change)="onFileSelected($event)" name="file">
                        </div>
                        
                    </td>
                </tr>       
            </table>
            <button mat-raised-button color="primary" class="w-101" (click)="onUpload()" *ngIf="trainerFlag">Submit</button>
        </div>

    </div>
    <div fxFlex *ngIf="progFlag">
        <div class="right_forms_container">
            <a>Jadwal Kelas</a>    
            <table mat-table [dataSource]="dataSourceSchedule" matSort class="mat-elevation-z8">
                    <!-- Name Column -->
                    <ng-container matColumnDef="training_date">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal</th>
                        <td mat-cell *matCellDef="let element"> {{element.training_date | date:'mediumDate'}} </td>
                    </ng-container>
                    
                    <!-- Weight Column -->
                    <ng-container matColumnDef="material_code">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Topik </th>
                        <td mat-cell *matCellDef="let element"> {{element.material_code}} </td>
                    </ng-container>
    
                     <!-- Symbol Column -->
                    <ng-container matColumnDef="class_code">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Ruang Kelas </th>
                        <td mat-cell *matCellDef="let element"> {{element.class_code}} </td>
                    </ng-container>
                    
                    <tr mat-header-row *matHeaderRowDef="displayedColumnsSchedule"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumnsSchedule;"></tr>
                </table> 
            <mat-paginator [pageSizeOptions]="[5,10,15]" showFirstLastButtons></mat-paginator>
        </div>
    </div>
</div>

<div class="mb-20" fxFlex fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
     
    <div fxFlex>
            <div class="left_forms_container">
                <a>Peserta Training Hari Ini</a>   
                <table mat-table [dataSource]="dataSourceStaff" matSort class="mat-elevation-z8">
                        <!-- Name Column -->
                        <ng-container matColumnDef="nip">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> NIP</th>
                            <td mat-cell *matCellDef="let element"> {{element.nip}} </td>
                        </ng-container>
                        
                        <!-- Weight Column -->
                        <ng-container matColumnDef="name">
                            <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama </th>
                            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                        </ng-container>

                        <ng-container matColumnDef="division_name">
                                <th mat-header-cell *matHeaderCellDef mat-sort-header> Divisi </th>
                                <td mat-cell *matCellDef="let element"> {{element.division_name}} </td>
                            </ng-container>
        
                      
                        <tr mat-header-row *matHeaderRowDef="displayedColumnsPeserta"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumnsPeserta;"></tr>
                    </table> 
                    <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
            </div>
    
        </div>
    </div>